Bug 505769 - Blanks screen after logging out from one user
Blanks screen after logging out from one user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
card_R500/M
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 12:22 EDT by Steven Garrity
Modified: 2010-06-28 08:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (75.24 KB, text/plain)
2009-08-18 08:25 EDT, Ian Collier
no flags Details
/etc/X11/xorg.conf (71 bytes, text/plain)
2009-08-18 08:26 EDT, Ian Collier
no flags Details
/var/log/dmesg (34.72 KB, text/plain)
2009-08-18 08:31 EDT, Ian Collier
no flags Details

  None (edit)
Description Steven Garrity 2009-06-13 12:22:58 EDT
Description of problem: Getting a blank (black) screen after logging out of one user (when another is logged in).


Version-Release number of selected component (if applicable):
kernel 2.6.29.4-167.fc11
gdm 1:2.26.1-10.fc11
xorg-x11-drv-ati 6.12.2-14.fc11

How reproducible: Always


Steps to Reproduce:
1. Log in with one user, switch users and log in with a second.
2. Log out with the second user
  
Actual results: Get a blank (black) screen


Expected results: Should show GDM login screen


Additional info:
Comment 1 Matěj Cepl 2009-06-23 17:16:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ian Collier 2009-08-18 08:22:40 EDT
I came here to report the same bug, so I might as well put the info in this bug number.

Configuration is:
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
gdm-2.26.1-13.fc11.x86_64
kernel-2.6.29.6-217.2.7.fc11.x86_64

ATI Technologies Inc RV516 [Radeon X1300/X1550 Series] (ChipID = 0x7183)

Symptoms: if while logged in as one user you use User-Switch to log in as second user, then when the second user logs out the screen goes blank.  However, VT-switching to another console and then back to the original returns the display to normal. In addition, VT-switching while both users are still logged in works fine.

Further info: the problem only occurs when kernel modesetting is used.  If the machine is booted with the "nomodeset" kernel parameter then it works fine.

Attachments to follow.  The problem seems to be associated with the line "(EE) RADEON(0): failed to set mode: Operation not permitted" in the Xorg log (also note the missing newline after this message).
Comment 3 Ian Collier 2009-08-18 08:25:32 EDT
Created attachment 357784 [details]
Xorg.0.log

In the last page of the log I've added placeholders to indicate the times at which I performed actions relevant to the test (lines starting with "***").
Comment 4 Ian Collier 2009-08-18 08:26:52 EDT
Created attachment 357785 [details]
/etc/X11/xorg.conf
Comment 5 Ian Collier 2009-08-18 08:31:47 EDT
Created attachment 357787 [details]
/var/log/dmesg
Comment 6 Joachim Frieben 2009-08-23 06:02:15 EDT
I have a similar issue on a "rawhide" system when logging out from a GNOME session, switching to a VT and back to GDM which results in a black screen. This behaviour is reproducible regardless of whether KMS is enabled or not.
Can somebody else verify this behaviour? Graphics device is an "ATI Radeon X800 SE (R430) (PCIE)".

Installed packages include:
- gdm-2.27.4-6.fc12.x86_64
- kernel-2.6.31-0.167.rc6.git6.fc12.x86_64
- libdrm-2.4.12-0.8.fc12.x86_64
- mesa-*-7.6-0.8.fc12.x86_64
- xorg-x11-drv-ati-6.13.0-0.2.20090821gitb1b77a4d6.fc12.x86_64
- xorg-x11-server-Xorg-1.6.99-39.20090820.fc12.x86_64
Comment 7 Matěj Cepl 2009-11-05 13:31:43 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Ian Collier 2009-11-06 08:32:44 EST
All packages are up to date with respect to the updates repository and I've
updated 'xorg*' from updates-testing.  Bug is still present (including the missing newline after the error message in the log).

xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
kernel-2.6.30.9-90.fc11.x86_64
gdm-2.26.1-13.fc11.x86_64
Comment 9 Bug Zapper 2010-04-27 10:52:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:58:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.